Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class FONode.GatherContextInfoFunction

    java.lang.Object
      org.apache.fop.fo.FONode.GatherContextInfoFunction

All Implemented Interfaces:
  AdvancedMessageFormat.Function

Enclosing class:
  FONode

    public static class FONode.GatherContextInfoFunction

extends java.lang.Object
implements AdvancedMessageFormat.Function

Function for AdvancedMessageFormat to retrieve context info from an FONode.

Constructor Summary
`FONode.GatherContextInfoFunction()`

Method Summary
`java.lang.Object` | `evaluate(java.util.Map params)` Executes the function.
`java.lang.Object` | `getName()` Returns the name of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FONode.GatherContextInfoFunction

    public FONode.GatherContextInfoFunction()

Method Detail

### evaluate

    public java.lang.Object evaluate(java.util.Map params)

  Executes the function.

  Specified by:
    `evaluate` in interface `AdvancedMessageFormat.Function`
  Parameters:
    `params` - the message parameters
  Returns:
    the function result

### getName

    public java.lang.Object getName()

  Returns the name of the function.

  Specified by:
    `getName` in interface `AdvancedMessageFormat.Function`
  Returns:
    the name of the function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.